% La fonction "couplage_elem" renvoie deux variables aléatoires : la
% première, "Y", suit une loi exponentielle de paramètre 1, et la seconde,
% "Z", suit une loi normale standard. Les conditions imposées par l'énoncé
% correspondent à ce qu'on appelle le couplage montonone, càd. que Y et Z
% sont simulées par la méthode de la fonction de répartition à l'aide d'une
% même v.a. uniforme sur [0,1].
function [Y,Z] = couplage_elem
% "p" est une variable uniforme sur [0,1].
p = rand;
Y = -log(1-p);
Z = sqrt(2) * erfinv(2*p-1);
end

